<?php
return array
(
    'name' => '接口配置',
    'struct' => array
    (
        'connect_id' => array
        (
            'name'      => '通信规则id',
            'type'      => 'int(11)',
        ),

        'name' => array
        (
            'name'      => '接口名称',
            'type'      => 'varchar(150)',
        ),

        'type' => array
        (
            'name'      => '接口类型',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '提交订单',
                2 => '查询订单',
                3 => '查询余额',
            ),
        ),

        'uri' => array
        (
            'name'      => '接口地址',
            'type'      => 'varchar(1000)',
        ),

        'cate_id' => array
        (
            'name'      => '商品分类',
            'type'      => 'tinyint(1)',
            'default'   => '-1',
            'value'     => 'Dever::call("goods/manage.getCate")',
        ),

        'sign_col' => array
        (
            'name'      => '签名加密参数',
            'type'      => 'varchar(1000)',
        ),

        'method' => array
        (
            'name'      => '请求方式',
            'type'      => 'tinyint(1)',
            'default'   => '-1',
            'value'     => array
            (
                -1 => '使用渠道标准请求方式',
                1 => 'get',
                2 => 'post',
            ),
        ),

        'post_method' => array
        (
            'name'      => '请求头设置',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '普通表单：application/x-www-form-urlencoded',
                2 => '文件表单：multipart/form-data',
                3 => 'JSON：application/json',
            ),
        ),

        'notify_type' => array
        (
            'name'      => '是否有回调',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                1 => '有回调',
                2 => '无回调',
            ),
        ),

        'notify_success' => array
        (
            'name'      => '回调成功响应',
            'type'      => 'varchar(500)',
        ),

        'notify_error' => array
        (
            'name'      => '回调失败响应',
            'type'      => 'varchar(500)',
        ),

        'notify_sign_col' => array
        (
            'name'      => '签名加密参数',
            'type'      => 'varchar(1000)',
        ),
    ),
);