<?php
return array
(
    'name' => '商户账户记录表',
    'store' => 'log',
    'struct' => array
    (
        'seller_id' => array
        (
            'name'      => '商户id',
            'type'      => 'int(11)',
            'value'     => 'seller/info',
        ),

        'type' => array
        (
            'name'      => '类型',
            'type'      => 'tinyint(1)',
            'default'   => 1,
            'value'     => array
            (
                1 => '充值',
                2 => '提现',
                3 => '下单',
                4 => '失败返还',
            ),
        ),

        'cash'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '金额',
            'fields'    => true,
        ),

        'yue'      => array
        (
            'type'      => 'decimal(11,2)',
            'name'      => '余额',
            'fields'    => true,
        ),

        'order_id' => array
        (
            'name'      => '订单id',
            'type'      => 'int(11)',
        ),

        'desc'      => array
        (
            'type'      => 'varchar(500)',
            'name'      => '操作备注',
        ),
    ),
);