<?php
return array
(
    # 系统模块定义 这里定义商户管理系统
    'module' => array
    (
        'seller' => array
        (
            'name' => '商户',
            'sort' => '1',
            'system' => 'group',
            'data_table' => 'seller/info',
        ),
    ),

    'menu' => array
    (
        'seller_data' => array
        (
            'name' => '数据',
            'icon' => 'database-line',
            'sort' => '1',
            'module' => 'seller',
        ),
        'seller_order' => array
        (
            'parent' => 'seller_data',
            'name' => '订单管理',
            'icon' => 'order-play-line',
            'sort' => '1',
        ),
        'seller_order_list' => array
        (
            'parent'    => 'seller_order',
            'name'      => '今日订单',
            'icon'      => 'album-line',
            'sort'      => '1',
        ),
        'seller_order_log_list' => array
        (
            'parent'    => 'seller_order',
            'name'      => '已完成订单',
            'icon'      => 'bank-card-line',
            'sort'      => '2',
        ),
        'seller_order_push' => array
        (
            'parent'    => 'seller_order',
            'name'      => '手动充值',
            'icon'      => 'bank-card-line',
            'sort'      => '3',
            'show'      => 3,
        ),
        'seller_log' => array
        (
            'parent'    => 'seller_data',
            'name'      => '账户管理',
            'icon'      => 'mickey-line',
            'sort'      => '2',
        ),
        'seller_log_list' => array
        (
            'parent'    => 'seller_log',
            'name'      => '钱包流水',
            'icon'      => 'article-line',
            'sort'      => '1',
        ),

        'dealer' => array
        (
            'parent' => 'dai',
            'name' => '经销商',
            'icon' => 'exchange-line',
            'sort' => '1',
        ),
        'info' => array
        (
            'parent'    => 'dealer',
            'name'      => '商户管理',
            'icon'      => 'mickey-line',
            'sort'      => '1',
        ),
        'log' => array
        (
            'parent'    => 'dealer',
            'name'      => '资金日志',
            'icon'      => 'article-line',
            'sort'      => '2',
            'show'      => 3,
        ),
        'data' => array
        (
            'name' => '数据',
            'icon' => 'database-line',
            'sort' => '1',
            'module' => 'platform',
        ),
        'order' => array
        (
            'parent' => 'data',
            'name' => '订单管理',
            'icon' => 'order-play-line',
            'sort' => '1',
        ),
        'order_list' => array
        (
            'parent'    => 'order',
            'name'      => '今日订单',
            'icon'      => 'album-line',
            'sort'      => '1',
        ),
        'order_log_list' => array
        (
            'parent'    => 'order',
            'name'      => '已完成订单',
            'icon'      => 'bank-card-line',
            'sort'      => '2',
        ),
        'order_push' => array
        (
            'parent'    => 'order',
            'name'      => '手动充值',
            'icon'      => 'bank-card-line',
            'sort'      => '3',
            'show'      => 3,
        ),

        'stat' => array
        (
            'parent' => 'data',
            'name' => '数据统计',
            'icon' => 'database-line',
            'sort' => '2',
        ),
        'order_stat' => array
        (
            'parent'    => 'stat',
            'name'      => '平台订单统计',
            'icon'      => 'cloud-windy-line',
            'sort'      => '1',
        ),
        'order_stat_seller' => array
        (
            'parent'    => 'stat',
            'name'      => '商户订单统计',
            'icon'      => 'cloudy-2-line',
            'sort'      => '2',
        ),
        'order_stat_channel' => array
        (
            'parent'    => 'stat',
            'name'      => '渠道订单统计',
            'icon'      => 'cloudy-line',
            'sort'      => '3',
        ),
    ),
);