<?php
return array
(
    'name' => '通信规则表',
    'struct' => array
    (
        'name' => array
        (
            'name'      => '规则名称',
            'type'      => 'varchar(32)',
        ),

        'method' => array
        (
            'name'      => '请求方式',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                1 => 'get',
                2 => 'post',
            ),
        ),

        'post_method' => array
        (
            'name'      => '请求头设置',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '普通表单：application/x-www-form-urlencoded',
                2 => '文件表单：multipart/form-data',
                3 => 'JSON：application/json',
            ),
        ),

        'response_type' => array
        (
            'name'      => '响应数据类型',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                //1 => '无标准响应',
                2 => 'JSON',
                3 => 'XML',
            ),
        ),

        'response_data' => array
        (
            'name'      => '数据字段',
            'type'      => 'varchar(100)',
        ),

        'response_msg' => array
        (
            'name'      => '信息字段',
            'type'      => 'varchar(100)',
        ),

        'response_code' => array
        (
            'name'      => '状态码字段',
            'type'      => 'varchar(100)',
        ),

        'sign_name' => array
        (
            'name'      => '签名名称',
            'type'      => 'varchar(100)',
        ),

        'sign_method' => array
        (
            'name'      => '签名加密方式',
            'type'      => 'tinyint(1)',
            'default'   => '2',
            'value'     => array
            (
                //1 => '不加密',
                2 => 'md5',
                3 => 'sha256',
                4 => 'sha1',
            ),
        ),

        'sign_col' => array
        (
            'name'      => '签名加密参数',
            'type'      => 'varchar(1000)',
        ),

        'sign_type' => array
        (
            'name'      => '签名加密形式',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => 'value+value形式',
                2 => 'key=value&key=value形式',
                3 => 'key+value+key+value形式',
                4 => 'key+value&key+value形式',
            ),
        ),

        'sign_sort' => array
        (
            'name'      => '签名加密排序',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '按照请求加密参数顺序排序',
                2 => '按照首字母正序排序',
            ),
        ),

        'sign_appsecret' => array
        (
            'name'      => 'appsecret名称',
            'type'      => 'varchar(100)',
        ),

        'sign_appsecret_location' => array
        (
            'name'      => 'appsecret位置',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '按照签名加密排序',
                2 => '最后边',
            ),
        ),

        'sign_encode' => array
        (
            'name'      => '签名加密转码',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => 'urlencode编码',
            ),
        ),

        'sign_empty' => array
        (
            'name'      => '签名加密空值',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '参与加密',
                2 => '不参与加密',
            ),
        ),

        'sign_after' => array
        (
            'name'      => '加密后处理',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => '转大写',
                3 => '转小写',
            ),
        ),

        'ssl_method' => array
        (
            'name'      => '对称加密方式',
            'type'      => 'varchar(50)',
        ),

        'ssl_key' => array
        (
            'name'      => '对称加密秘钥',
            'type'      => 'varchar(50)',
        ),

        'ssl_option' => array
        (
            'name'      => '数据格式',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '默认填充',
                2 => '用0填充',
                3 => '不填充',
            ),
        ),

        'ssl_iv' => array
        (
            'name'      => '初始化向量',
            'type'      => 'varchar(50)',
        ),

        'ssl_after' => array
        (
            'name'      => '加密后处理',
            'type'      => 'tinyint(1)',
            'default'   => '1',
            'value'     => array
            (
                1 => '不处理',
                2 => '转base64',
            ),
        ),
    ),
);